import prologix

class HP8341:
  def __init__(self, gpib, addr):
    self.gpib = gpib
    self.addr = addr

  def cmd(self, c):
    self.gpib.gpib_command(self.addr, c)

  def cw(self, fHz):
    cmd = 'CW%dHZ' % fHz
    self.gpib.gpib_command(self.addr, cmd)

  def power(self, powerdBm):
    cmd = 'PL%fDB' % powerdBm
    self.gpib.gpib_command(self.addr, cmd)

