from prologix import *
from HP8341 import *
from HP436 import *
import time

gpib = gpib('\\\\.\\COM3', 115200)
dut = HP8341(gpib, 19)
pwmtr = HP436(gpib, 13)

dut.cmd('PL-20DB')

print('HP8341A power measurement')

proto = open('8341ameasurement.txt', 'w')
proto.write('frequency [GHz] / power [dBm]\n\n')

f = 50e6
while f < 20e9:
  cmd = 'CW%fHZ' % f
  dut.cmd(cmd)
  dbm = pwmtr.measure()
  print('frequency: %f GHz; power: %f dBm' % (f/1e9, dbm))
  proto.write('%6f %5.3f\n' % (f/1e9, dbm))
  proto.flush()
  f = f + 50e6

proto.close()
