import os.path
import serial
import sys

import time

class gpib:
    def __init__(self, port, baud):
        self.ser = serial.Serial()
        self.ser = serial.Serial(port, baud, timeout=3000)
        cmd = '++savecfg 0\n'
        self.ser.write(cmd.encode())

    def gpib_autooff(self):
        cmd = '++auto 0\n'
        self.ser.write(cmd.encode())

    def gpib_autoon(self):
        cmd = '++auto 1\n'
        self.ser.write(cmd.encode())

    def gpib_addr(self, addr):
        cmd = '++addr ' + str(addr) + '\n'
        self.ser.write(cmd.encode())

    def gpib_command(self, addr, command):
        self.gpib_autooff()
        self.gpib_addr(addr)

        command = command + '\n'
        self.ser.write(command.encode())

    def spoll(self, addr = None):
        if addr is not None:
            self.gpib_addr(addr)
        command = '++spoll\n'
        self.ser.write(command.encode())
        s = self.ser.readline().decode().strip()
        return int(s)


    def gpib_query(self, addr, command):
        self.gpib_autooff()
        self.gpib_addr(addr)

        command = command + '\n'
        self.ser.write(command.encode())

        self.gpib_autoon()

        s = self.ser.readline()
        return s.decode().strip()

    def gpib_readline(self):
        s = self.ser.readline()
        return s.decode().strip()
